# SDPM
SDPM is an open-source C++/Python, unsteady compressible source and doublet panel method, developed at the University of Liège by Adrien Crovato and Grigorios Dimitriadis, during the academic years 2022-2023.  
SDPM is currently capable of rapidly solving steady or unsteady compressible subsonic flows on isolated or multiple wings.

## Main features
* Cross platform (Windows and Unix) C++/Python code
* Physical model
  - unstructured quadrangle meshes for 2D geometries using [gmsh](https://gmsh.info/)
  - steady and unsteady flows
  - subsonic compressile flows
* Numerical methods
  - linear algrebra using [Eigen](http://eigen.tuxfamily.org/)

## Documentation
Detailed build and use instructions can be found in the [wiki](https://gitlab.uliege.be/am-dept/sdpm/wikis/home).

## References
Sanchez Martinez Mariano and Dimitriadis Grigorios, [Subsonic source and doublet panel methods](https://hdl.handle.net/2268/291174), Journal of Fluids and Structures, 2022.
